> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/api-reference/security-testing-agent-apis/security-testing-orchestration/reference-identifiers.md).

# Reference Identifiers

Reference Identifiers Lookup

## GET /api/v2/reference-identifiers/{refId}

> Reference Identifiers Lookup

```json
{"openapi":"3.0.3","info":{"title":"Harness Security Test Orchestration API","version":"1.0.0"},"tags":[{"name":"Reference Identifiers","description":"Reference Identifiers Lookup"}],"servers":[{"url":"https://app.harness.io/gateway/sto"},{"url":"http://127.0.0.1:4000"}],"security":[{"X-Api-Key_header_X-Api-Key":[],"jwt_header_Authorization":["core_account_view"]}],"components":{"securitySchemes":{"X-Api-Key_header_X-Api-Key":{"type":"apiKey","name":"X-Api-Key","in":"header"},"jwt_header_Authorization":{"type":"http","scheme":"bearer"}},"schemas":{"GetByReferenceIDResponseBody":{"type":"object","properties":{"description":{"type":"string","description":"A short description of the identified issue."},"extendedDescription":{"type":"string","description":"A more detailed explanation of the issue and its potential impact."},"remediationSteps":{"type":"string","description":"Steps the developer can take to address or mitigate the issue."},"severity":{"type":"number","description":"Numeric severity, from 0 (lowest) to 10 (highest)","format":"double"},"severityCode":{"type":"string","description":"Severity code"}}},"NotFound":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"integer","default":404,"format":"int64"}},"required":["message"]}}},"paths":{"/api/v2/reference-identifiers/{refId}":{"get":{"tags":["Reference Identifiers"],"description":"Reference Identifiers Lookup","operationId":"Reference Identifiers#getByReferenceId","parameters":[{"name":"refId","in":"path","required":true,"schema":{"type":"string"}},{"name":"X-Api-Key","in":"header","description":"Harness personal or service access token","allowEmptyValue":true,"schema":{"type":"string","description":"Harness personal or service access token"}}],"responses":{"200":{"description":"OK response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetByReferenceIDResponseBody"}}}},"401":{"description":"Unauthorized: Unauthorized response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}},"404":{"description":"NotFound: Not Found response.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NotFound"}}}}}}}}}
```
